package com.engine.qz.service.impl;

import com.engine.core.impl.Service;
import com.engine.qz.entity.CustomTemplateVo;
import com.engine.qz.entity.CustomTranscerDataVo;

import com.engine.qz.service.HrmCustomTemplateService;
import com.weaver.general.Util;
import weaver.conn.RecordSet;

import java.util.LinkedList;
import java.util.Map;

/**
 * @Author Apple
 * @Date 2025/2/24 11:08
 * @Description:
 * @Version 1.0
 */
public class HrmCustomTemplateServiceImpl extends Service implements HrmCustomTemplateService {


    @Override
    public CustomTranscerDataVo getCustomTransferData(Map<String, Object> params) {

        //1.所有可查看字段

        //2.存在模板 且已经选择的字段




        return null;
    }

    @Override
    public LinkedList<CustomTemplateVo> getCustomTemplate() {

        RecordSet rs = new RecordSet();
        LinkedList<CustomTemplateVo> customTemplateVos = new LinkedList<>();
        rs.executeQuery("select id,templateName,templateFields,isused,belongto from uf_custom_template \n" +
                "where belongto = ? order by id asc",user.getUID());

        while (rs.next()) {
            customTemplateVos.add(CustomTemplateVo.builder()
                    .key(Util.null2String(rs.getString("id")))
                    .showname(Util.null2String(rs.getString("templateName")))
                    .templateFields(Util.null2String(rs.getString("templateFields")))
                    .isused(Util.getIntValue(rs.getString("isused")))
                    .belongto(Util.getIntValue(rs.getString("belongto")))
                    .build());
        }

        //todo 没有模板或者模版都没启用

        return customTemplateVos;
    }

    @Override
    public Map<String, Object> addCustomTemplate(Map<String, Object> params) {
        return null;
    }

    @Override
    public Map<String, Object> updateCustomTemplateFields(Map<String, Object> params) {
        return null;
    }


}
