package com.engine.qz.service;

import com.engine.qz.entity.CustomTemplateVo;
import com.engine.qz.entity.CustomTranscerDataVo;

import java.util.LinkedList;
import java.util.Map;

/**
 * @Author Apple
 * @Date 2025/2/24 11:08
 * @Description:
 * @Version 1.0
 */
public interface HrmCustomTemplateService {


    /**
     * @Description: 列定制内容查询
     * @Author: Apple
     * @param: [params]
     * @return: CustomTranscerDataVo
     */
    CustomTranscerDataVo getCustomTransferData(Map<String, Object> params);

    /**
     * @Description: 列定制模板查询
     * @Author: Apple
     * @Date: 2025/3/11 13:49
     * @param: [params]
     * @return: java.util.Map<java.lang.String,java.lang.Object>
     */
    LinkedList<CustomTemplateVo> getCustomTemplate();

    /**
     * @Description: 列定制增加模板
     * @Author: Apple
     * @Date: 2025/3/11 13:49
     * @param: [params]
     * @return: java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String, Object> addCustomTemplate(Map<String, Object> params);

    /**
     * @Description: 列定制模板字段更新
     * @Author: Apple
     * @Date: 2025/3/11 13:49
     * @param: [params]
     * @return: java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String, Object> updateCustomTemplateFields(Map<String, Object> params);



}
